commit: 8f92bc0179717fff7d7d0248302cfdedd7e92a0e
Author: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 3 15:35:56 2016 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Nov 3 15:49:42 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f92bc01
sys-cluster/ceph: Revision bump to 10.2.3-r1 fix shebang issue
Package-Manager: portage-2.3.2
.../ceph/{ceph-10.2.3-r1.ebuild => ceph-10.2.3-r2.ebuild} | 11 ++++++++---
1 file changed, 8 insertions(+), 3 deletions(-)
diff --git a/sys-cluster/ceph/ceph-10.2.3-r1.ebuild
b/sys-cluster/ceph/ceph-10.2.3-r2.ebuild
similarity index 95%
rename from sys-cluster/ceph/ceph-10.2.3-r1.ebuild
rename to sys-cluster/ceph/ceph-10.2.3-r2.ebuild
index 5f40c53..30211fa 100644
--- a/sys-cluster/ceph/ceph-10.2.3-r1.ebuild
+++ b/sys-cluster/ceph/ceph-10.2.3-r2.ebuild
@@ -212,7 +212,7 @@ src_configure() {
)
# we can only use python2.7 for building at the moment
- python_export python2.7 PYTHON EPYTHON
+ python_setup 'python2*'
econf "${myeconfargs[@]}"
}
@@ -251,11 +251,16 @@ src_install() {
systemd_install_serviced "${FILESDIR}/ceph-osd_at.service.conf"
"[email protected]"
systemd_install_serviced "${FILESDIR}/ceph-mon_at.service.conf"
"[email protected]"
- python_fix_shebang "${ED}"/usr/{,s}bin/
-
udev_dorules udev/*.rules
readme.gentoo_create_doc
+
+ python_setup 'python2*'
+ python_fix_shebang "${ED}"/usr/{,s}bin/
+
+ # python_fix_shebang apparently is not idempotent
+ sed -i -r
's:(/usr/lib/python-exec/python[0-9]\.[0-9]/python)[0-9]\.[0-9]:\1:' \
+ "${ED}"/usr/{sbin/ceph-disk,bin/ceph-detect-init} || die "sed
failed"
}
pkg_postinst() {